// js 导入 模块式开发

import Vue from 'vue'
// 导入 App.vue
import App from './App.vue'
// import zujian from "./components/zujian.vue"
import HelloWorld from "./components/HelloWorld.vue"
import aaa from "./components/aaa.vue"
import VueRouter from "vue-router"
import index from "./pages/index.vue"
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";


// vuerouter 插件
Vue.use(ElementUI);
Vue.use(VueRouter)
// 路径 => 页面(组件)
const routes = [{
  path:"/abc",
  component:HelloWorld
},{
  path:"/agfahg",
  component:aaa
}, {
  path:"/",
  component: index
}, {
  path:"/login",
  component:() =>import("./components/luyou.vue"),
  children:[{
    path:"user",
    component: () => import("./pages/user.vue")
  },{
    path:"abc",
    component:HelloWorld
  }]
}]

const router = new VueRouter({
  routes // (缩写) 相当于 routes: routes
})

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router
}).$mount('#aaa')
